View Issue Details

IDProjectCategoryLast Update
0019861AI War 2[All Projects] Bug - GameplayAug 7, 2018 12:36 pm
ReporterRocketAssistedPuffinAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.756 Retrieval of the Lost Arks 
Fixed in Version0.759 
Summary0019861: Arks don't upgrade - Engineers ignore them, symbol remains same, nothing changes
DescriptionTried it on every current Ark - Voidhome doesn't get to build anything, as an example.

Neither do their stats change, not even MK level.
TagsNo tags attached.

Activities

BadgerBadger

Jul 26, 2018 9:48 am

manager   ~0048070

Weirdly, it often will take the arks a While to upgrade and I'm not sure why. How long did you give it to do the upgrade?

RocketAssistedPuffin

Jul 26, 2018 10:54 am

reporter   ~0048072

Huh, eventually Voidhome upgraded. I wasn't tracking time when testing them, so I started a new game and did it there.

Unlocked every upgrade at 7 minutes, became MK2 at 13 minutes, MK3 at 25, MK4 at 39 (unlocks dock function). Doesn't upgrade anywhere beyond MK4, despite unlocking the tech, even 2 hours into a game.

As a note, the Ark points thing is somewhat meaningless currently, you can get enough to fully upgrade the ark just by clearing two planets by your homeworld, without destroying the command station.

BadgerBadger

Jul 26, 2018 10:56 am

manager   ~0048073

Does the dock function work?

RocketAssistedPuffin

Jul 26, 2018 10:57 am

reporter   ~0048075

Yes, just acts as a normal space dock.

BadgerBadger

Jul 26, 2018 12:40 pm

manager   ~0048083

Last edited: Jul 26, 2018 12:40 pm

View 2 revisions

Great! Chris, any chance you want to investigate the weirdly slow upgrade process for Arks? Hah, you'd already assigned it to me for the same reason. I'm pretty busy the next few days so it will just have to wait

BadgerBadger

Jul 29, 2018 9:53 pm

manager   ~0048135

For upgrades, there's not a great mechanism right now to report an ugprade in process. What happens is this.
Faction.cs::DoFactionStepLogic():

foreach metal flow, check what it's purpose is
case MetalFlowPurpose.UpgradingSquads:
   If there are any units that require upgrading, see if we have the money in this flow to upgrade it. If so, then do the upgrade. If not, store Metal in the flow until we have enough to upgrade the next thing. It's a bit more complex of course, but that's the gist of it.

Which is fine and functional logic, but it means there's no obvious way to let a unit know how far along it is in upgrading. The metal is stored in a per-faction object, and there's no obvious way to tell that we are actually saving up to upgrade the ark instead of something else. I could put a message saying "The ark is upgrading. Please be patient" but it sucks not to be able to give people a real way to understand how long it will take.

Chris, your opinion?

BadgerBadger

Aug 7, 2018 12:36 pm

manager   ~0048207

Chris changed all this logic

Issue History

Date Modified Username Field Change
Jul 26, 2018 6:09 am RocketAssistedPuffin New Issue
Jul 26, 2018 9:48 am BadgerBadger Note Added: 0048070
Jul 26, 2018 10:54 am RocketAssistedPuffin Note Added: 0048072
Jul 26, 2018 10:56 am BadgerBadger Note Added: 0048073
Jul 26, 2018 10:57 am RocketAssistedPuffin Note Added: 0048075
Jul 26, 2018 12:03 pm x4000Bughunter Assigned To => BadgerBadger
Jul 26, 2018 12:03 pm x4000Bughunter Status new => assigned
Jul 26, 2018 12:40 pm BadgerBadger Note Added: 0048083
Jul 26, 2018 12:40 pm BadgerBadger Assigned To BadgerBadger => x4000Bughunter
Jul 26, 2018 12:40 pm BadgerBadger Note Edited: 0048083 View Revisions
Jul 26, 2018 12:40 pm BadgerBadger Assigned To x4000Bughunter => BadgerBadger
Jul 29, 2018 9:53 pm BadgerBadger Note Added: 0048135
Jul 29, 2018 9:53 pm BadgerBadger Assigned To BadgerBadger => x4000Bughunter
Aug 7, 2018 12:36 pm BadgerBadger Status assigned => resolved
Aug 7, 2018 12:36 pm BadgerBadger Resolution open => fixed
Aug 7, 2018 12:36 pm BadgerBadger Fixed in Version => 0.759
Aug 7, 2018 12:36 pm BadgerBadger Note Added: 0048207